# Delete sender for project

Marks a sender for removal. Once requested the sender will be active for 60 days to deliver final messages. After 60 days it will be removed.

Endpoint: DELETE /v1/projects/{projectId}/kakaotalk/senders/{plusFriendId}
Version: 1.2.91
Security: BasicAuth, BearerAuth, OAuth2Production

## Path parameters:

  - `projectId` (string, required)
    The unique ID of the project. You can find this on the Sinch Dashboard.

  - `plusFriendId` (string, required)
    The unique ID of the sender.

## Response 400 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: "project_not_initialized"

  - `message` (string)
    Human readable message.
    Example: "Project not initialized for KakaoTalk."

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: "Verify that the project ID is correct and that it has been onboarded for KakaoTalk."

## Response 401 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: "unauthorized_error"

  - `message` (string)
    Human readable message.
    Example: "Unauthorized error."

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: "Verify that projectId is correct."

## Response 404 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: "sender_not_found"

  - `message` (string)
    Human readable message.
    Example: "Sender not found."

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: "Verify that the parameters are correct."

## Response 409 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: "sender_already_deleted"

  - `message` (string)
    Human readable message.
    Example: "The sender has been deleted within the last 60 days."

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: "Wait the required time."

## Response 500 fields (application/json):

  - `errorCode` (string)
    Error code allows to programmatically handle errors.
    Example: "internal_error"

  - `message` (string)
    Human readable message.
    Example: "Internal server error."

  - `resolution` (string)
    Human readable message with an explanation of how to solve the error.
    Example: "Please wait and try again, if the error persist please contact support."


## Response 204 fields
